Invite

Invite User with photo

POST
/invite/{userId}/photo

Sends an photo invite to a user. Returns the Notification of type invite that was sent.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

userId*string

Must be a valid user ID.

Request Body

multipart/form-data

Response Body

application/json

application/json

curl -X POST "https://api.vrchat.cloud/api/1/invite/string/photo" \  -F data="{\n  \"instanceId\": \"12345~hidden(usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469)~region(eu)~nonce(27e8414a-59a0-4f3d-af1f-f27557eb49a2)\"\n}" \  -F image="string"
{
  "id": "frq_00000000-0000-0000-0000-000000000000",
  "type": "friendRequest",
  "created_at": "2021-01-01T00:00:00.000Z",
  "details": {},
  "message": "",
  "receiverUserId": "usr_00000000-0000-0000-0000-000000000000",
  "senderUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
}
{
  "error": {
    "message": "\"You need to be friends with that user first.\"",
    "status_code": 403
  }
}